---@meta

---@class UWG_HorizontalTabList_C : UCommonTabListWidgetBase
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PrevActionWrapper USizeBox
---@field PrevActionWidget UCommonActionWidget
---@field NextActionWrapper USizeBox
---@field NextActionWidget UCommonActionWidget
---@field ButtonBox UHorizontalBox
local UWG_HorizontalTabList_C = {}

---@param IsDesignTime boolean
function UWG_HorizontalTabList_C:PreConstruct(IsDesignTime) end
function UWG_HorizontalTabList_C:Construct() end
---@param TabNameID FName
---@param TabButton UCommonButtonBase
function UWG_HorizontalTabList_C:HandleTabCreation(TabNameID, TabButton) end
UWG_HorizontalTabList_C['Refresh Next/Previous Visibility'] = function(self, ) end
function UWG_HorizontalTabList_C:SetupInputActions() end
---@param EntryPoint int32
function UWG_HorizontalTabList_C:ExecuteUbergraph_WG_HorizontalTabList(EntryPoint) end


